Bug 93112 - [MAINTAINER] games/wop: Update to 0.4.1
Summary: [MAINTAINER] games/wop: Update to 0.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sam Lawrance
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-02-10 00:40 UTC by Dmitry Marakasov
Modified: 2006-02-12 04:08 UTC (History)
0 users

See Also:


Attachments
wop-0.4.1.patch (3.34 KB, patch)
2006-02-10 00:40 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2006-02-10 00:40:03 UTC
- Update to 0.4.1
- Unbreak on 4.x
- Add more intelligent global config file handling
Comment 1 Sam Lawrance freebsd_committer 2006-02-11 14:59:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Yoink
Comment 2 Sam Lawrance freebsd_committer 2006-02-12 01:24:35 UTC
State Changed
From-To: open->feedback

Fails on clean 4.x due to imake-6: 

===>  imake-6.9.0 is part of X.Org and you have xfree86-4 set for X11 distribution. See The X Window System and Virtual Consoles chapter of FAQ for more information. 
*** Error code 1 


You should set USE_IMAKE rather than depending directly on imake-6. 
However, that doesn't seem to work on 4.x either: 

===>  Configuring for wop-0.4.1 
mv -f Makefile Makefile.bak 
imake -DUseInstalled -I/usr/X11R6/lib/X11/config 
imake: No such file or directory 
imake: No description file. 
Stop. 
*** Error code 1 


Any ideas?
Comment 3 Sam Lawrance freebsd_committer 2006-02-12 03:17:35 UTC
[For the PR ...]

On 12/02/2006, at 2:11 PM, Dmitry Marakasov wrote:

> * Sam Lawrance (lawrance@FreeBSD.org) wrote:
>> Any ideas?
> I guess USE_IMAKE is not right thing to use here, as in addition to
> dependency on imake it does imply other things we don't need for this
> port (like that non-working configure stuff).
>
> The best solution seem to be this (I've also forgot to drop  
> USE_REINPLACE):
>
> --- Makefile.patch begins here ---
> --- Makefile.orig	Sun Feb 12 06:03:11 2006
> +++ Makefile	Sun Feb 12 06:03:24 2006
> @@ -15,12 +15,11 @@
>  MAINTAINER=	amdmi3@mail.ru
>  COMMENT=	Free real-time Worms game
>
> -BUILD_DEPENDS=	makedepend:${PORTSDIR}/devel/imake-6
> +BUILD_DEPENDS=	makedepend:${X_IMAKE_PORT}
>
>  USE_BZIP2=	yes
>  USE_SDL=	sdl net mixer ttf image
>  USE_GMAKE=	yes
> -USE_REINPLACE=	yes
>  USE_GCC=	3.4+
>
>  MAKE_ENV=	"CXX=${CXX}"
> --- Makefile.patch ends here ---
>
> Though X_IMAKE_PORT is not documented is bsd.port.mk, it always  
> contains
> correct path to imake port depending on X_WINDOW_SYSTEM used, and it's
> used in other ports in cases similar to ours:
>
> graphics/dri/Makefile
> graphics/dri-devel/Makefile
> lang/xsb/Makefile
> mbone/mcl/Makefile
> net-mgmt/driftnet/Makefile
> science/vmd/Makefile
> www/larbin/Makefile
> x11-wm/wm2/Makefile
>
> -- 
> Best regards,
>  Dmitry                          mailto:amdmi3@mail.ru
>
Comment 4 Sam Lawrance freebsd_committer 2006-02-12 04:08:28 UTC
State Changed
From-To: feedback->closed

Committed, thanks!